#include "hmg.ch"
#include "hbgtinfo.ch"

Function Main

	DEFINE WINDOW Main ;
		AT 0,0 ;
		WIDTH 400 ;
		HEIGHT 150 ;
		TITLE 'Main' ;
		MAIN  

		@ 10,10 TEXTBOX Text_1 ;
			VALUE 123 ;
			TOOLTIP 'Numeric TextBox' ;
			NUMERIC ;
			MAXLENGTH 5 ;
			RIGHTALIGN

		@ 40,10 TEXTBOX Text_2 ;
			VALUE 'Hi All' ;
			TOOLTIP 'Character TextBox' 

		DEFINE BUTTON CallWVG
			ROW	10
			COL	190
			WIDTH	160
			CAPTION	'Call WVG'
			ACTION	F_Win_WVG ('Main', 'Text_1')
		END BUTTON

		
	END WINDOW

	ACTIVATE WINDOW Main

Return

*-----------------------------------------------------------------------------*
* HB_GTSYS()
*-----------------------------------------------------------------------------*
PROCEDURE HB_GTSYS()

   REQUEST HB_GT_WVG_DEFAULT
   REQUEST HB_GT_WVG

RETURN
**********************************************
FUNCTION F_Win_WVG( cFormName, cControl )
  LOCAL oCrt
  LOCAL nVal := GetProperty ( cFormName, cControl, 'Value') 
  LOCAL cTitle := 'TEST WVG'
  LOCAL nCol := MaxCol()
  LOCAL nRow := MaxRow()
  
  oCrt := WvgCrt():New( , , { -1,-1 }, { nRow, nCol }, , .T. )
  oCrt:lModal := .T.
  oCrt:create()
  oCrt:resizable := .F.

  hb_gtInfo( HB_GTI_WINTITLE, cTitle )

  SetColor( 'N/W' )
  
  CLS
  @5,5 SAY "Input new numeric value " GET nVal PICT '99999'
  Set Cursor On
  READ
  Set Cursor Off
  
  oCrt:destroy()

  BringWindowBackToTop ( cFormName, cControl, nVal )

RETURN Nil
***********************************************************
Function BringWindowBackToTop ( cFormName, cControl, xVal )
Local hWnd := GetFormHandle( cFormName )

IF hWnd <> 0
	SetForeGroundWindow( hWnd )
	BringWindowToTop( hWnd )
	IF cControl <> Nil .AND. xVal <> Nil
		SetProperty ( cFormName, cControl, 'Value', xVal )
		DoMethod ( cFormName, cControl, 'SetFocus' )
	ENDIF
ENDIF
Return Nil
************************************************************